Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155056 - ifdown triggers modprobing nonexistant "tun6to4" module
Summary: ifdown triggers modprobing nonexistant "tun6to4" module
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 21:12 UTC by Eric Moret
Modified: 2014-03-17 02:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-20 21:15:11 UTC


Attachments (Terms of Use)

Description Eric Moret 2005-04-15 21:12:08 UTC
+++ This bug was initially created as a clone of Bug #119614 +++

When having IPv6 enabled (sysconfig/network having
NETWORKING_IPV6=yes), the ifdown script triggers kernel
module autoloading of "tun6to4" (even if there is no 6to4 tunneling
configured) - which does not exist.

I guess the scripts are trying to check the device "tun6to4" for
existence and config, but this device doesn't exist, and there is
a mapping missing in modprobe.conf.dist which maps "tun6to4" to
"sit".

I'm not sure wether my analysis is correct, so I'm assigning this
bug to initscripts first... maybe it needs forwarding to the
"modutils" component with a request to add the alias.

Version-Release number of selected component (if applicable):
initscripts-7.31.18.el-1

Even this may have been fixed in latest Fedora, it needs an errata for RHEL3 as 
the problem also occurs there.

Comment 1 Bill Nottingham 2005-09-20 21:15:11 UTC
This problem is resolved in the next release of Red Hat Enterprise Linux. Red
Hat does not currently plan to provide a resolution for this in a Red Hat
Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 


Note You need to log in before you can comment on or make changes to this bug.